package com.ffii.fhsmsc.modules.user.entity;

import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.ffii.core.entity.BaseEntity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table; 

/** @author Jason Lam */
@Entity
@Table(name = "user_password_history")
public class UserPasswordHistory extends BaseEntity<Long> {

	@Column
	private Long userId;

    @Column
	private LocalDateTime date;

	@JsonIgnore
	@Column
	private String password;

    public Long getUserId() {
        return this.userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public LocalDateTime getDate() {
        return this.date;
    }

    public void setDate(LocalDateTime date) {
        this.date = date;
    }

    public String getPassword() {
        return this.password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

	
}
